Package com.google.gwt.user.client.ui

## Class PopupPanel.ResizeAnimation

- java.lang.Object
- - com.google.gwt.animation.client.Animation
  - - com.google.gwt.user.client.ui.PopupPanel.ResizeAnimation

- Enclosing class:
    PopupPanel

      static class PopupPanel.ResizeAnimation
      extends Animation

  An `Animation` used to enlarge the popup into view.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResizeAnimation​(PopupPanel panel)` | Create a new `PopupPanel.ResizeAnimation`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `onComplete()` | Called immediately after the animation completes.
    `protected void` | `onStart()` | Called immediately before the animation starts.
    `protected void` | `onUpdate​(double progress)` | Called when the animation should be updated.
    `void` | `setState​(boolean showing, boolean isUnloading)` | Open or close the content.

    - ### Methods inherited from class com.google.gwt.animation.client.Animation

      `cancel, interpolate, isRunning, onCancel, run, run, run, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResizeAnimation

          public ResizeAnimation​(PopupPanel panel)

      Create a new `PopupPanel.ResizeAnimation`.
      Parameters:
        `panel` - the panel to affect

  - ### Method Detail

    - #### setState

          public void setState​(boolean showing,
                               boolean isUnloading)

      Open or close the content. This method always called immediately after the PopupPanel showing state has changed, so we base the animation on the current state.
      Parameters:
        `showing` - true if the popup is showing, false if not

    - #### onComplete

          protected void onComplete()

      Description copied from class: `Animation`
      Called immediately after the animation completes.
      Overrides:
        `onComplete` in class `Animation`

    - #### onStart

          protected void onStart()

      Description copied from class: `Animation`
      Called immediately before the animation starts.
      Overrides:
        `onStart` in class `Animation`

    - #### onUpdate

          protected void onUpdate​(double progress)

      Description copied from class: `Animation`
      Called when the animation should be updated. The value of progress is between 0.0 and 1.0 (inclusive) (unless you override the `Animation.interpolate(double)` method to provide a wider range of values). There is no guarantee that `Animation.onUpdate(double)` is called with 0.0 or 1.0. If you need to perform setup or tear down procedures, you can override `Animation.onStart()` and `Animation.onComplete()`.
      Specified by:
        `onUpdate` in class `Animation`
      Parameters:
        `progress` - a double, normally between 0.0 and 1.0 (inclusive)